Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util
Class EnumerationIterator

    java.lang.Object
      |
      +--org.apache.velocity.util.EnumerationIterator

All Implemented Interfaces:
  java.util.Iterator

public class EnumerationIterator
extends java.lang.Object
implements java.util.Iterator

An Iterator wrapper for an Enumeration.

Version:
  $Id: EnumerationIterator.java,v 1.1 2001/04/08 21:06:22 geirm Exp $
Author:
  Geir Magnusson Jr.

Field Summary
`private java.util.Enumeration` | `enum` The enumeration to iterate.

Constructor Summary
`EnumerationIterator(java.util.Enumeration enum)` Creates a new iteratorwrapper instance for the specified Enumeration.

Method Summary
`boolean` | `hasNext()` Check to see if there is another element in the array.
`java.lang.Object` | `next()` Move to next element in the array.
`void` | `remove()` Unimplemented.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### enum

    private java.util.Enumeration enum

  The enumeration to iterate.

Constructor Detail

### EnumerationIterator

    public EnumerationIterator(java.util.Enumeration enum)

  Creates a new iteratorwrapper instance for the specified Enumeration.
  Parameters:
    `enum` - The Enumeration to wrap.

Method Detail

### next

    public java.lang.Object next()

  Move to next element in the array.
  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    The next object in the array.

### hasNext

    public boolean hasNext()

  Check to see if there is another element in the array.
  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    Whether there is another element.

### remove

    public void remove()

  Unimplemented. No analogy in Enumeration
  Specified by:
    `remove` in interface `java.util.Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.